Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.bin/window Add a script to generate a distfile of window...



details:   https://anonhg.NetBSD.org/src/rev/5d8568d97eb3
branches:  trunk
changeset: 763061:5d8568d97eb3
user:      jmmv <jmmv%NetBSD.org@localhost>
date:      Wed Mar 09 17:32:03 2011 +0000

description:
Add a script to generate a distfile of window from the verbatim sources on
cvs.  This will be used for the upcoming pkgsrc package of window.

I am not copying the code to othersrc because I want to keep things as
simple as possible for now.  When we remove window from src, the code will
be moved to othersrc and any improvements (such as autoconfification) can
be done there.

diffstat:

 usr.bin/window/export.sh |  77 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 77 insertions(+), 0 deletions(-)

diffs (81 lines):

diff -r 3d5713e8ae7a -r 5d8568d97eb3 usr.bin/window/export.sh
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/usr.bin/window/export.sh  Wed Mar 09 17:32:03 2011 +0000
@@ -0,0 +1,77 @@
+#! /bin/sh
+#
+# Copyright (c) 2011 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND
+# CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#
+# This script exports a fresh copy of the window(1) sources from cvs and
+# generates a distfile for them.  You can later upload the resulting
+# distfile to the NetBSD ftp site and update the pkgsrc/misc/window package.
+#
+# To generate a distfile, tag the sources in this directory with a tag of
+# the form window-YYYYMMDD and then run this script providing the same tag
+# name as the first argument and a target directory as the second argument.
+#
+# Example:
+# src/usr.bin/window$ cvs tag window-20110309
+# src/usr.bin/window$ ./export.sh window-20110309 /tmp
+#
+
+set -e
+
+ProgName="${0##*/}"
+
+err() {
+       echo "${ProgName}:" "${@}" 1>&2
+       exit 1
+}
+
+usage_error() {
+       echo "Usage: ${ProgName} tag-name target-directory"
+       echo "Example: ${ProgName} window-20110309 /tmp"
+       exit 1
+}
+
+main() {
+       [ -f wwopen.c ] || err "Must be run from window's source directory"
+
+       [ -d CVS ] || err "Must be run from window's CVS source directory"
+       local root="$(cat CVS/Root)"
+
+       [ ${#} -eq 2 ] || usage_error
+       local tag="${1}"; shift
+       local directory="${1}"; shift
+
+       local distname="${tag}"
+
+       cd "${directory}"
+       cvs -d "${root}" export -r "${tag}" -d "${distname}" src/usr.bin/window
+       rm -f "${distname}"/"${ProgName}"
+       tar czf "${distname}.tar.gz" "${distname}"
+       rm -rf "${distname}"
+       cd -
+}
+
+main "${@}"



Home | Main Index | Thread Index | Old Index